#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,i,prvi,trenutni,k,prethodni,resenje;
    scanf("%d%d",&n,&k);
    scanf("%d",&prvi);
    prethodni=prvi;
    for(i=2;i<=n;i++){
        scanf("%d",&trenutni);
        if(k==prethodni){
            resenje=trenutni;
        }
        prethodni=trenutni;
    }
    if(k==prethodni){
        resenje=prvi;
    }
    printf("%d",resenje);
    return 0;
}